--- lib/Dist/Zilla/Plugin/ContributorsFromGit.pm.orig	2017-08-14 11:44:49.000000000 -0700
+++ lib/Dist/Zilla/Plugin/ContributorsFromGit.pm	2018-01-06 20:12:21.000000000 -0800
@@ -40,12 +40,19 @@
     'Dist::Zilla::Role::MetaProvider',
     ;
 
+has target_path => (
+    is      => 'lazy',
+    isa     => 'Str',
+    default => '',
+);
+
 has _contributor_list => (
     is      => 'lazy',
     isa     => 'ArrayRef[Str]',
     builder => sub {
         my $self = shift @_;
         my @authors = $self->zilla->authors->flatten;
+        my $target = $self->target_path;
 
         ### and get our list from git, filtering: "@authors"
         my @contributors = uniq
@@ -54,7 +61,7 @@
             grep  { [ map { lc } @authors ]->none eq lc    }
             map   { decode_utf8($_)                        }
             apply { chomp; s/^\s*\d+\s*//                  }
-            `git shortlog -s -e HEAD`
+            `git shortlog -s -e HEAD $target`
             ;
 
         return [ sort @contributors ];
